### Method

# Gio FileInfo set_content_type

#### Declaration

    void
    g_file_info_set_content_type (
      GFileInfo* info,
      const char* content_type
    )

#### Description

Sets the content type attribute for a given `GFileInfo`. See `G_FILE_ATTRIBUTE_STANDARD_CONTENT_TYPE`.

#### Parameters

`content_type`

  Type: `const char*`

  A content type. See [GContentType][gio-GContentType].

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.